# do not edit -- automatically generated by arch changelog
# arch-tag: automatic-ChangeLog--jak76@columbia.edu--scheme/sassy--mainline--0.2
#

2006-03-16 17:51:18 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-35

    Summary:
      Added NEWS appendix to docs 
    Revision:
      sassy--mainline--0.2--patch-35


    modified files:
     NEWS doc/sassy.tex


2006-03-15 23:04:38 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-34

    Summary:
      fix for sassy-chicken.scm
    Revision:
      sassy--mainline--0.2--patch-34


    modified files:
     sassy-chicken.scm


2006-03-15 22:44:18 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-33

    Summary:
      load srfi-56-pieces from sassy.scm
    Revision:
      sassy--mainline--0.2--patch-33


    modified files:
     numbers.scm sassy.scm


2006-03-15 22:04:04 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-32

    Summary:
      Final cleanups for 0.2 release
    Revision:
      sassy--mainline--0.2--patch-32


    new files:
     .arch-ids/ACKNOWLEDGEMENTS.id .arch-ids/NEWS.id
     ACKNOWLEDGEMENTS NEWS

    modified files:
     README doc/sassy.tex sassy-chicken.scm sassy.scm sassy.setup


2006-03-15 19:47:42 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-31

    Summary:
      robustified s48 module interfaces
    Revision:
      sassy--mainline--0.2--patch-31


    modified files:
     inits/scheme48-1.3.scm sassy-48.scm


2006-03-15 19:08:53 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-30

    Summary:
      More docs (labels and locals), language cleanup
    Revision:
      sassy--mainline--0.2--patch-30

    Altered the overall syntax of (heap ...) to be consistent with text/data in terms of (begin ...), empty labels, nesting.
    
    Added error checks for re-defining symbols. No symbol can be defined twice in the same scope.
    
    Changed (direcs ...) to (begin ...), for uniformity in the language.
    
    Indirectly fixed (reloc ...) under 16-bit, by adding error checks to number->byte-list to make sure numbers can fit in a field size. This needed to happen anyway, so...
    
    For now I've bumped doing math on addresses off the 0.2 list, to be handled later.

    modified files:
     TODO TODO-ideas doc/sassy.tex intern.scm macros.scm
     numbers.scm parse.scm sassy.scm tests/cell.scm text.scm


2006-03-14 20:27:33 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-29

    Summary:
      added a couple more tests.
    Revision:
      sassy--mainline--0.2--patch-29

    Also, testing of local labels in the data section under ELF.
    
    

    new files:
     tests/.arch-ids/liblocaldata3.so.id
     tests/.arch-ids/local-data-static.id
     tests/.arch-ids/localdata1.new.o.id
     tests/.arch-ids/localdata1.o.id
     tests/.arch-ids/localdata1.scm.id
     tests/.arch-ids/localdata2.new.o.id
     tests/.arch-ids/localdata2.o.id
     tests/.arch-ids/localdata2.scm.id
     tests/.arch-ids/localdata3.new.o.id
     tests/.arch-ids/localdata3.o.id
     tests/.arch-ids/localdata3.scm.id
     tests/.arch-ids/localdata3.so.id tests/.arch-ids/localdata4.id
     tests/.arch-ids/localdata4.new.o.id
     tests/.arch-ids/localdata4.o.id
     tests/.arch-ids/localdata4.scm.id tests/liblocaldata3.so
     tests/local-data-static tests/localdata1.new.o
     tests/localdata1.o tests/localdata1.scm tests/localdata2.new.o
     tests/localdata2.o tests/localdata2.scm tests/localdata3.new.o
     tests/localdata3.o tests/localdata3.scm tests/localdata3.so
     tests/localdata4 tests/localdata4.new.o tests/localdata4.o
     tests/localdata4.scm

    modified files:
     TODO opcodes.scm tests/generate-nasm.scm tests/jumps
     tests/jumps.asm tests/jumps.scm tests/jumps16
     tests/jumps16.asm tests/run-tests.scm


2006-03-14 16:36:58 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-28

    Summary:
      Completed test suite for 16-bit support
    Revision:
      sassy--mainline--0.2--patch-28

    Full tests for the 16-bit instruction set, as listed in vol 3 of the intel manuals.
    
    Full tests for 16-bit versions of the sassy control flow primitives.
    
    Hooray!
    
    
    

    new files:
     tests/.arch-ids/alu16.asm.id tests/.arch-ids/alu16.id
     tests/.arch-ids/bt16.asm.id tests/.arch-ids/bt16.id
     tests/.arch-ids/cmpx16.asm.id tests/.arch-ids/cmpx16.id
     tests/.arch-ids/decinc16.asm.id tests/.arch-ids/decinc16.id
     tests/.arch-ids/doub-shift16.asm.id
     tests/.arch-ids/doub-shift16.id tests/.arch-ids/jcc16.asm.id
     tests/.arch-ids/jcc16.id tests/.arch-ids/jumps16.asm.id
     tests/.arch-ids/jumps16.id tests/.arch-ids/load16.asm.id
     tests/.arch-ids/load16.id tests/.arch-ids/mem-ref16.asm.id
     tests/.arch-ids/mem-ref16.id tests/.arch-ids/misc116.asm.id
     tests/.arch-ids/misc116.id tests/.arch-ids/misc216.asm.id
     tests/.arch-ids/misc216.id tests/.arch-ids/misc3.asm.id
     tests/.arch-ids/misc3.id tests/.arch-ids/misc3.scm.id
     tests/.arch-ids/movx16.asm.id tests/.arch-ids/movx16.id
     tests/.arch-ids/non16.asm.id tests/.arch-ids/non16.id
     tests/.arch-ids/plier16.asm.id tests/.arch-ids/plier16.id
     tests/.arch-ids/prefix16.asm.id tests/.arch-ids/prefix16.id
     tests/.arch-ids/r-rm16.asm.id tests/.arch-ids/r-rm16.id
     tests/.arch-ids/ret16.asm.id tests/.arch-ids/ret16.id
     tests/.arch-ids/rm16.asm.id tests/.arch-ids/rm16.id
     tests/.arch-ids/rm216.asm.id tests/.arch-ids/rm216.id
     tests/.arch-ids/seg.asm.id tests/.arch-ids/seg16.asm.id
     tests/.arch-ids/seg16.id tests/.arch-ids/setcc16.asm.id
     tests/.arch-ids/setcc16.id tests/.arch-ids/shift16.asm.id
     tests/.arch-ids/shift16.id tests/alu16 tests/alu16.asm
     tests/bt16 tests/bt16.asm tests/cmpx16 tests/cmpx16.asm
     tests/decinc16 tests/decinc16.asm tests/doub-shift16
     tests/doub-shift16.asm tests/jcc16 tests/jcc16.asm
     tests/jumps16 tests/jumps16.asm tests/load16 tests/load16.asm
     tests/mem-ref16 tests/mem-ref16.asm tests/misc116
     tests/misc116.asm tests/misc216 tests/misc216.asm tests/misc3
     tests/misc3.asm tests/misc3.scm tests/movx16 tests/movx16.asm
     tests/non16 tests/non16.asm tests/plier16 tests/plier16.asm
     tests/prefix16 tests/prefix16.asm
     tests/prims16/.arch-ids/16alt1.id
     tests/prims16/.arch-ids/16alt1.scm.id
     tests/prims16/.arch-ids/16alt2.id
     tests/prims16/.arch-ids/16alt2.scm.id
     tests/prims16/.arch-ids/16alt3.id
     tests/prims16/.arch-ids/16alt3.scm.id
     tests/prims16/.arch-ids/16alt4.id
     tests/prims16/.arch-ids/16alt4.scm.id
     tests/prims16/.arch-ids/16begin1.id
     tests/prims16/.arch-ids/16begin1.scm.id
     tests/prims16/.arch-ids/16begin2.id
     tests/prims16/.arch-ids/16begin2.scm.id
     tests/prims16/.arch-ids/16begin3.id
     tests/prims16/.arch-ids/16begin3.scm.id
     tests/prims16/.arch-ids/16begin4.id
     tests/prims16/.arch-ids/16begin4.scm.id
     tests/prims16/.arch-ids/16begin5.id
     tests/prims16/.arch-ids/16begin5.scm.id
     tests/prims16/.arch-ids/16esc1.id
     tests/prims16/.arch-ids/16esc1.scm.id
     tests/prims16/.arch-ids/16esc2.id
     tests/prims16/.arch-ids/16esc2.scm.id
     tests/prims16/.arch-ids/16esc3.id
     tests/prims16/.arch-ids/16esc3.scm.id
     tests/prims16/.arch-ids/16esc4.id
     tests/prims16/.arch-ids/16esc4.scm.id
     tests/prims16/.arch-ids/16esc5.id
     tests/prims16/.arch-ids/16esc5.scm.id
     tests/prims16/.arch-ids/16esc6.id
     tests/prims16/.arch-ids/16esc6.scm.id
     tests/prims16/.arch-ids/16esc7.id
     tests/prims16/.arch-ids/16esc7.scm.id
     tests/prims16/.arch-ids/16exp-k1.id
     tests/prims16/.arch-ids/16exp-k1.scm.id
     tests/prims16/.arch-ids/16exp-k2.id
     tests/prims16/.arch-ids/16exp-k2.scm.id
     tests/prims16/.arch-ids/16exp-k3.id
     tests/prims16/.arch-ids/16exp-k3.scm.id
     tests/prims16/.arch-ids/16exp-k4.id
     tests/prims16/.arch-ids/16exp-k4.scm.id
     tests/prims16/.arch-ids/16if1.id
     tests/prims16/.arch-ids/16if1.scm.id
     tests/prims16/.arch-ids/16if2.id
     tests/prims16/.arch-ids/16if2.scm.id
     tests/prims16/.arch-ids/16if3.id
     tests/prims16/.arch-ids/16if3.scm.id
     tests/prims16/.arch-ids/16if4.id
     tests/prims16/.arch-ids/16if4.scm.id
     tests/prims16/.arch-ids/16inv1.id
     tests/prims16/.arch-ids/16inv1.scm.id
     tests/prims16/.arch-ids/16inv2.id
     tests/prims16/.arch-ids/16inv2.scm.id
     tests/prims16/.arch-ids/16inv3.id
     tests/prims16/.arch-ids/16inv3.scm.id
     tests/prims16/.arch-ids/16inv4.id
     tests/prims16/.arch-ids/16inv4.scm.id
     tests/prims16/.arch-ids/16inv5.id
     tests/prims16/.arch-ids/16inv5.scm.id
     tests/prims16/.arch-ids/16inv6.id
     tests/prims16/.arch-ids/16inv6.scm.id
     tests/prims16/.arch-ids/16iter1.id
     tests/prims16/.arch-ids/16iter1.scm.id
     tests/prims16/.arch-ids/16iter2.id
     tests/prims16/.arch-ids/16iter2.scm.id
     tests/prims16/.arch-ids/16iter3.id
     tests/prims16/.arch-ids/16iter3.scm.id
     tests/prims16/.arch-ids/16iter4.id
     tests/prims16/.arch-ids/16iter4.scm.id
     tests/prims16/.arch-ids/16iter5.id
     tests/prims16/.arch-ids/16iter5.scm.id
     tests/prims16/.arch-ids/16iter6.id
     tests/prims16/.arch-ids/16iter6.scm.id
     tests/prims16/.arch-ids/16label1.id
     tests/prims16/.arch-ids/16label1.scm.id
     tests/prims16/.arch-ids/16label2.id
     tests/prims16/.arch-ids/16label2.scm.id
     tests/prims16/.arch-ids/16label3.id
     tests/prims16/.arch-ids/16label3.scm.id
     tests/prims16/.arch-ids/16label4.id
     tests/prims16/.arch-ids/16label4.scm.id
     tests/prims16/.arch-ids/16leap-mark1.id
     tests/prims16/.arch-ids/16leap-mark1.scm.id
     tests/prims16/.arch-ids/16leap-mark2.id
     tests/prims16/.arch-ids/16leap-mark2.scm.id
     tests/prims16/.arch-ids/16leap-mark3.id
     tests/prims16/.arch-ids/16leap-mark3.scm.id
     tests/prims16/.arch-ids/16locals1.id
     tests/prims16/.arch-ids/16locals1.scm.id
     tests/prims16/.arch-ids/16locals2.id
     tests/prims16/.arch-ids/16locals2.scm.id
     tests/prims16/.arch-ids/16locals3.id
     tests/prims16/.arch-ids/16locals3.scm.id
     tests/prims16/.arch-ids/16locals4.id
     tests/prims16/.arch-ids/16locals4.scm.id
     tests/prims16/.arch-ids/16locals5.id
     tests/prims16/.arch-ids/16locals5.scm.id
     tests/prims16/.arch-ids/16locals6.id
     tests/prims16/.arch-ids/16locals6.scm.id
     tests/prims16/.arch-ids/16locals7.id
     tests/prims16/.arch-ids/16locals7.scm.id
     tests/prims16/.arch-ids/16locals8.id
     tests/prims16/.arch-ids/16locals8.scm.id
     tests/prims16/.arch-ids/16seq1.id
     tests/prims16/.arch-ids/16seq1.scm.id
     tests/prims16/.arch-ids/16seq2.id
     tests/prims16/.arch-ids/16seq2.scm.id
     tests/prims16/.arch-ids/16seq3.id
     tests/prims16/.arch-ids/16seq3.scm.id
     tests/prims16/.arch-ids/16while1.id
     tests/prims16/.arch-ids/16while1.scm.id
     tests/prims16/.arch-ids/16while2.id
     tests/prims16/.arch-ids/16while2.scm.id
     tests/prims16/.arch-ids/16while3.id
     tests/prims16/.arch-ids/16while3.scm.id
     tests/prims16/.arch-ids/16with-lose1.id
     tests/prims16/.arch-ids/16with-lose1.scm.id
     tests/prims16/.arch-ids/16with-lose2.id
     tests/prims16/.arch-ids/16with-lose2.scm.id
     tests/prims16/.arch-ids/16with-lose3.id
     tests/prims16/.arch-ids/16with-lose3.scm.id
     tests/prims16/.arch-ids/16with-win-lose1.id
     tests/prims16/.arch-ids/16with-win-lose1.scm.id
     tests/prims16/.arch-ids/16with-win-lose2.id
     tests/prims16/.arch-ids/16with-win-lose2.scm.id
     tests/prims16/.arch-ids/16with-win-lose3.id
     tests/prims16/.arch-ids/16with-win-lose3.scm.id
     tests/prims16/.arch-ids/16with-win-lose4.id
     tests/prims16/.arch-ids/16with-win-lose4.scm.id
     tests/prims16/.arch-ids/16with-win-lose5.id
     tests/prims16/.arch-ids/16with-win-lose5.scm.id
     tests/prims16/.arch-ids/16with-win1.id
     tests/prims16/.arch-ids/16with-win1.scm.id
     tests/prims16/.arch-ids/16with-win2.id
     tests/prims16/.arch-ids/16with-win2.scm.id
     tests/prims16/.arch-ids/16with-win3.id
     tests/prims16/.arch-ids/16with-win3.scm.id
     tests/prims16/.arch-ids/16with-win4.id
     tests/prims16/.arch-ids/16with-win4.scm.id
     tests/prims16/.arch-ids/16with-win5.id
     tests/prims16/.arch-ids/16with-win5.scm.id
     tests/prims16/.arch-ids/=id tests/prims16/16alt1
     tests/prims16/16alt1.scm tests/prims16/16alt2
     tests/prims16/16alt2.scm tests/prims16/16alt3
     tests/prims16/16alt3.scm tests/prims16/16alt4
     tests/prims16/16alt4.scm tests/prims16/16begin1
     tests/prims16/16begin1.scm tests/prims16/16begin2
     tests/prims16/16begin2.scm tests/prims16/16begin3
     tests/prims16/16begin3.scm tests/prims16/16begin4
     tests/prims16/16begin4.scm tests/prims16/16begin5
     tests/prims16/16begin5.scm tests/prims16/16esc1
     tests/prims16/16esc1.scm tests/prims16/16esc2
     tests/prims16/16esc2.scm tests/prims16/16esc3
     tests/prims16/16esc3.scm tests/prims16/16esc4
     tests/prims16/16esc4.scm tests/prims16/16esc5
     tests/prims16/16esc5.scm tests/prims16/16esc6
     tests/prims16/16esc6.scm tests/prims16/16esc7
     tests/prims16/16esc7.scm tests/prims16/16exp-k1
     tests/prims16/16exp-k1.scm tests/prims16/16exp-k2
     tests/prims16/16exp-k2.scm tests/prims16/16exp-k3
     tests/prims16/16exp-k3.scm tests/prims16/16exp-k4
     tests/prims16/16exp-k4.scm tests/prims16/16if1
     tests/prims16/16if1.scm tests/prims16/16if2
     tests/prims16/16if2.scm tests/prims16/16if3
     tests/prims16/16if3.scm tests/prims16/16if4
     tests/prims16/16if4.scm tests/prims16/16inv1
     tests/prims16/16inv1.scm tests/prims16/16inv2
     tests/prims16/16inv2.scm tests/prims16/16inv3
     tests/prims16/16inv3.scm tests/prims16/16inv4
     tests/prims16/16inv4.scm tests/prims16/16inv5
     tests/prims16/16inv5.scm tests/prims16/16inv6
     tests/prims16/16inv6.scm tests/prims16/16iter1
     tests/prims16/16iter1.scm tests/prims16/16iter2
     tests/prims16/16iter2.scm tests/prims16/16iter3
     tests/prims16/16iter3.scm tests/prims16/16iter4
     tests/prims16/16iter4.scm tests/prims16/16iter5
     tests/prims16/16iter5.scm tests/prims16/16iter6
     tests/prims16/16iter6.scm tests/prims16/16label1
     tests/prims16/16label1.scm tests/prims16/16label2
     tests/prims16/16label2.scm tests/prims16/16label3
     tests/prims16/16label3.scm tests/prims16/16label4
     tests/prims16/16label4.scm tests/prims16/16leap-mark1
     tests/prims16/16leap-mark1.scm tests/prims16/16leap-mark2
     tests/prims16/16leap-mark2.scm tests/prims16/16leap-mark3
     tests/prims16/16leap-mark3.scm tests/prims16/16locals1
     tests/prims16/16locals1.scm tests/prims16/16locals2
     tests/prims16/16locals2.scm tests/prims16/16locals3
     tests/prims16/16locals3.scm tests/prims16/16locals4
     tests/prims16/16locals4.scm tests/prims16/16locals5
     tests/prims16/16locals5.scm tests/prims16/16locals6
     tests/prims16/16locals6.scm tests/prims16/16locals7
     tests/prims16/16locals7.scm tests/prims16/16locals8
     tests/prims16/16locals8.scm tests/prims16/16seq1
     tests/prims16/16seq1.scm tests/prims16/16seq2
     tests/prims16/16seq2.scm tests/prims16/16seq3
     tests/prims16/16seq3.scm tests/prims16/16while1
     tests/prims16/16while1.scm tests/prims16/16while2
     tests/prims16/16while2.scm tests/prims16/16while3
     tests/prims16/16while3.scm tests/prims16/16with-lose1
     tests/prims16/16with-lose1.scm tests/prims16/16with-lose2
     tests/prims16/16with-lose2.scm tests/prims16/16with-lose3
     tests/prims16/16with-lose3.scm tests/prims16/16with-win-lose1
     tests/prims16/16with-win-lose1.scm
     tests/prims16/16with-win-lose2
     tests/prims16/16with-win-lose2.scm
     tests/prims16/16with-win-lose3
     tests/prims16/16with-win-lose3.scm
     tests/prims16/16with-win-lose4
     tests/prims16/16with-win-lose4.scm
     tests/prims16/16with-win-lose5
     tests/prims16/16with-win-lose5.scm tests/prims16/16with-win1
     tests/prims16/16with-win1.scm tests/prims16/16with-win2
     tests/prims16/16with-win2.scm tests/prims16/16with-win3
     tests/prims16/16with-win3.scm tests/prims16/16with-win4
     tests/prims16/16with-win4.scm tests/prims16/16with-win5
     tests/prims16/16with-win5.scm tests/r-rm16 tests/r-rm16.asm
     tests/ret16 tests/ret16.asm tests/rm16 tests/rm16.asm
     tests/rm216 tests/rm216.asm tests/seg.asm tests/seg16
     tests/seg16.asm tests/setcc16 tests/setcc16.asm tests/shift16
     tests/shift16.asm

    modified files:
     TODO meta-lambda.scm opcodes.scm operands.scm tests/alu
     tests/alu.asm tests/alu.scm tests/bt.asm
     tests/generate-nasm.scm tests/generate-prim.scm tests/jcc.asm
     tests/jcc.scm tests/mem-ref.asm tests/misc1 tests/misc1.asm
     tests/misc1.scm tests/misc2.asm tests/non tests/non.asm
     tests/non.scm tests/plier tests/plier.asm tests/plier.scm
     tests/prefix.asm tests/prims/iter2.scm tests/r-rm
     tests/r-rm.asm tests/r-rm.scm tests/rm.asm tests/rm2
     tests/rm2.asm tests/rm2.scm tests/run-tests.scm tests/seg
     tests/seg.scm tests/shift.asm tests/sse1.asm text.scm

    new directories:
     tests/prims16 tests/prims16/.arch-ids


2006-03-13 03:16:16 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-27

    Summary:
      heap label bug fix and updates to docs
    Revision:
      sassy--mainline--0.2--patch-27

    clarified documentation for jumps
    

    modified files:
     TODO doc/sassy.tex parse.scm


2006-03-13 01:28:36 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-26

    Summary:
      Corrected syntax of segment overrides, and added branch hints.
    Revision:
      sassy--mainline--0.2--patch-26

    (mov (cs (& eax)) 3)
    
    That is the override is wrapped around the memory addressing operand.
    
    Also added Pete Keller's macros cs: ds: etc.:
    
    (mov (cs: eax) 3) => (mov (cs (& eax)) 3)
    
    Finally, added branch hinting prefixes. They are:
    
    brt for branch taken
    brnt for branch not taken
    
    They are wrapped around any jcc instruction.
    
    (brt (jnz foo))
    
    Update docs and added tests (but the tests "seg" and "brt" are currently not generate-able with the generate-nasm.scm file, because it doesn't understand this new syntax.
    

    new files:
     tests/.arch-ids/brt.id tests/.arch-ids/brt.scm.id
     tests/.arch-ids/seg.id tests/.arch-ids/seg.scm.id tests/brt
     tests/brt.scm tests/seg tests/seg.scm

    modified files:
     TODO doc/sassy.tex macros.scm opcodes.scm operands.scm
     sassy.scm tests/generate-nasm.scm tests/run-tests.scm


2006-03-07 16:23:31 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-25

    Summary:
      changes to docs from Pete Keller.
    Revision:
      sassy--mainline--0.2--patch-25


    modified files:
     TODO doc/sassy.tex macros.scm sassy.scm


2006-03-02 23:24:31 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-24

    Summary:
      robustified sassy-make-bin, default short immediates
    Revision:
      sassy--mainline--0.2--patch-24

    Also, made sassy-make-bin's reloc handling more robust, in terms of anonymous relocations.
    
    Changed the default immediate size to be a byte, instead of a dword, for the following instructions:
    
    adc add and cmp or sbb sub xor 
    push
    imul
    
    That means if an immediate is a second operand, and it is an unardorned byte, the version of the instruction that uses a byte, rather than a dword will be generated.
    
    eg:
    
    (xor eax 5) => #x83f005
    (xor eax (dword 5)) => #x3505000000
    
    Updated several tests to account for the new immediate handling.

    modified files:
     TODO flat-bin.scm opcodes.scm tests/cell tests/count
     tests/count.new.o tests/count.o tests/fac5 tests/fac5.new.o
     tests/fac5.o tests/prims/alt3 tests/prims/alt3.scm
     tests/prims/esc1 tests/prims/esc1.scm tests/prims/esc2
     tests/prims/esc2.scm tests/prims/esc5 tests/prims/esc5.scm
     tests/prims/iter6 tests/prims/iter6.scm tests/prims/label3
     tests/prims/label3.scm tests/prims/label4
     tests/prims/label4.scm tests/prims/leap-mark3
     tests/prims/leap-mark3.scm tests/prims/locals4
     tests/prims/locals4.scm tests/prims/locals5
     tests/prims/locals5.scm tests/prims/locals6
     tests/prims/locals6.scm tests/prims/while1
     tests/prims/while1.scm tests/prims/while2
     tests/prims/while2.scm tests/prims/while3
     tests/prims/while3.scm tests/prims/with-win-lose1
     tests/prims/with-win-lose1.scm tests/prims/with-win-lose2
     tests/prims/with-win-lose2.scm tests/prims/with-win-lose3
     tests/prims/with-win-lose3.scm tests/prims/with-win-lose4
     tests/prims/with-win-lose4.scm tests/prims/with-win-lose5
     tests/prims/with-win-lose5.scm tests/prims/with-win1
     tests/prims/with-win1.scm tests/prims/with-win2
     tests/prims/with-win2.scm tests/prims/with-win3
     tests/prims/with-win3.scm tests/prims/with-win5
     tests/prims/with-win5.scm


2006-03-02 19:51:14 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-23

    Summary:
      Fixed 16-bit calls.
    Revision:
      sassy--mainline--0.2--patch-23

    

    modified files:
     opcodes.scm


2006-03-02 19:16:07 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-22

    Summary:
      Changes to sassy-make-bin
    Revision:
      sassy--mainline--0.2--patch-22


    removed files:
     demo/.arch-ids/sassy-boot-sector.scm.id
     demo/sassy-boot-sector.scm

    modified files:
     TODO demo/boot.sassy flat-bin.scm


2006-02-28 18:45:25 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-21

    Summary:
      fixups for boot sectors
    Revision:
      sassy--mainline--0.2--patch-21

    Changed sassy-boot-sector.scm in demos to correctly handle (org) and to tack on the data section (with relocations).
    

    modified files:
     demo/sassy-boot-sector.scm parse.scm text.scm


2006-02-26 21:07:10 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-20

    Summary:
      More fixing of bits 16 stuff
    Revision:
      sassy--mainline--0.2--patch-20


    modified files:
     opcodes.scm


2006-02-25 23:05:08 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-19

    Summary:
      more bits 16 fixes
    Revision:
      sassy--mainline--0.2--patch-19


    modified files:
     opcodes.scm


2006-02-24 20:06:31 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-18

    Summary:
      clean up TODO, TODO-ideas
    Revision:
      sassy--mainline--0.2--patch-18

    
    

    new files:
     .arch-ids/TODO-ideas.id TODO-ideas

    modified files:
     TODO


2006-02-24 08:04:20 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-17

    Summary:
      fixed bug in sizers in data section
    Revision:
      sassy--mainline--0.2--patch-17


    modified files:
     TODO parse.scm


2006-02-24 07:32:57 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-16

    Summary:
      various changes
    Revision:
      sassy--mainline--0.2--patch-16

    fixed bug in 3 code emitters in opcodes.scm so that they call handle-imm intead of outputting numbers directly (i16-i8, i16-i16, i16-i32)
    

    modified files:
     TODO opcodes.scm parse.scm


2006-02-24 01:32:58 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-15

    Summary:
      make labels work under (bits 16). Update TODO
    Revision:
      sassy--mainline--0.2--patch-15

    Also added 0.2 todo list to TODO
    

    modified files:
     TODO operands.scm


2006-02-21 22:24:15 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-14

    Summary:
      16bit support, segment-override prefixes
    Revision:
      sassy--mainline--0.2--patch-14

    Also added the segment over-ride prefixes.
    
    None of the above has really been tested, and it's not in the docs yet.

    new files:
     demo/.arch-ids/=id demo/.arch-ids/boot.sassy.id
     demo/.arch-ids/sassy-boot-sector.scm.id demo/boot.sassy
     demo/sassy-boot-sector.scm

    modified files:
     api.scm main.scm opcodes.scm parse.scm text.scm

    new directories:
     demo demo/.arch-ids


2006-02-20 07:40:58 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-13

    Summary:
      move old changelog CHANGES to CHANGES-old
    Revision:
      sassy--mainline--0.2--patch-13


    renamed files:
     .arch-ids/CHANGES.id
       ==> .arch-ids/CHANGES-old.id
     CHANGES
       ==> CHANGES-old


2006-02-20 06:14:53 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-12

    Summary:
      Added chicken compiler files
    Revision:
      sassy--mainline--0.2--patch-12


    new files:
     .arch-ids/sassy-chicken.scm.id .arch-ids/sassy.html.id
     .arch-ids/sassy.setup.id sassy-chicken.scm sassy.html
     sassy.setup


2006-02-20 05:38:11 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-11

    Summary:
      added comment explaining sassy-symbol-set!
    Revision:
      sassy--mainline--0.2--patch-11


    modified files:
     intern.scm


2006-02-20 03:54:26 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-10

    Summary:
      removed detritus of failed attempt at reflection from macro.scm
    Revision:
      sassy--mainline--0.2--patch-10


    modified files:
     macros.scm main.scm


2006-02-20 02:59:42 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-9

    Summary:
      documented meta-lambda
    Revision:
      sassy--mainline--0.2--patch-9


    modified files:
     meta-lambda.scm push-stacks.scm


2006-02-18 08:44:08 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-8

    Summary:
      Cleaned up unused hash-table-walk
    Revision:
      sassy--mainline--0.2--patch-8


    modified files:
     README doc/sassy.tex inits/gosh-0.8.5.scm
     inits/mzscheme-299.400.scm inits/scheme48-1.3.scm
     inits/scm-5e1.scm sassy-48.scm


2006-02-18 08:35:45 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-7

    Summary:
      Added support for Guile 1.7.91
    Revision:
      sassy--mainline--0.2--patch-7


    new files:
     inits/.arch-ids/guile-1.7.91.scm.id inits/guile-1.7.91.scm

    modified files:
     doc/sassy.tex sassy.scm


2006-02-18 07:10:30 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-6

    Summary:
      fixed up bug in new locals implementatation
    Revision:
      sassy--mainline--0.2--patch-6


    new files:
     tests/prims/.arch-ids/locals7.id
     tests/prims/.arch-ids/locals7.scm.id
     tests/prims/.arch-ids/locals8.id
     tests/prims/.arch-ids/locals8.scm.id tests/prims/locals7
     tests/prims/locals7.scm tests/prims/locals8
     tests/prims/locals8.scm

    modified files:
     doc/sassy.tex tests/prims/locals1.scm tests/run-tests.scm
     text.scm


2006-02-17 20:03:41 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-5

    Summary:
      clean up flat-bin.scm
    Revision:
      sassy--mainline--0.2--patch-5


    modified files:
     flat-bin.scm


2006-02-17 19:35:58 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-4

    Summary:
      Finished up sassy.el
    Revision:
      sassy--mainline--0.2--patch-4


    modified files:
     doc/sassy.tex sassy.el


2005-12-06 19:30:47 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-3

    Summary:
      Fixed bug in symbol target determination.
    Revision:
      sassy--mainline--0.2--patch-3

    Small bug fix in intern.scm to make sure relocations have the proper target.
    

    modified files:
     intern.scm


2005-12-06 06:02:29 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-2

    Summary:
      Completed initial support for local labels.
    Revision:
      sassy--mainline--0.2--patch-2

    Fixed bug in data handling of local labels.
    
    Made sure all local labels are anonymous relocations, so
    sassy-make-elf doesn't need anything special to deal with them.
    
    

    modified files:
     TODO intern.scm opcodes.scm parse.scm


2005-12-06 01:23:23 GMT	Jonathan Kraut <jak76@columbia.edu>	patch-1

    Summary:
      Added scheme48 module declarations, small file re-arrangements
    Revision:
      sassy--mainline--0.2--patch-1

    Keywords: 
    
    Partitioned sassy.scm into sassy.scm, extras.scm, and main.scm so that
    everything plays nice with scheme48's module system, which sassy now
    supports with sassy-48.scm.
    
    Usage:
    ,config ,load sassy-48.scm
    ,open sassy
    
    Also fixed some mis-placed parens in macros.scm
    

    new files:
     .arch-ids/extras.scm.id .arch-ids/main.scm.id
     .arch-ids/sassy-48.scm.id extras.scm main.scm sassy-48.scm

    modified files:
     TODO inits/scheme48-1.3.scm macros.scm sassy.scm


2005-11-28 23:43:23 GMT	Jonathan Kraut <jak76@columbia.edu>	base-0

    Summary:
      initial import
    Revision:
      sassy--mainline--0.2--base-0

    Including some of Alex Shinn's suggestions (local labels), and some
    clean ups from the 0.1.1 release.

    new files:
     CHANGES COPYING README TODO api.scm doc/sassy.hdir
     doc/sassy.tex doc/tex2page.tex elf.scm flat-bin.scm
     inits/csi-2.2-libffi.scm inits/gosh-0.8.5.scm
     inits/mzscheme-299.400.scm inits/scheme48-1.3.scm
     inits/scm-5e1.scm intern.scm macros.scm meta-lambda.scm
     numbers.scm opcodes.scm operands.scm other/srfi-56-pieces.scm
     other/srfi-60-pieces.scm parse.scm push-stacks.scm sassy.el
     sassy.scm tests/aa tests/aa.asm tests/aa.scm tests/all
     tests/all.asm tests/alu tests/alu.asm tests/alu.scm tests/bt
     tests/bt.asm tests/bt.scm tests/bye tests/bye.new.o
     tests/bye.o tests/bye.scm tests/cell tests/cell.new.o
     tests/cell.o tests/cell.scm tests/cmovcc tests/cmovcc.asm
     tests/cmovcc.scm tests/cmpx tests/cmpx.asm tests/cmpx.scm
     tests/count tests/count.new.o tests/count.o tests/count.scm
     tests/decinc tests/decinc.asm tests/decinc.scm
     tests/doub-shift tests/doub-shift.asm tests/doub-shift.scm
     tests/eip.scm tests/fac5 tests/fac5.new.o tests/fac5.o
     tests/fac5.scm tests/fp0 tests/fp0.asm tests/fp0.scm tests/fp1
     tests/fp1.asm tests/fp1.scm tests/fp2 tests/fp2.asm
     tests/fp2.scm tests/fp3 tests/fp3.asm tests/fp3.scm
     tests/generate-nasm.scm tests/generate-prim.scm tests/hello
     tests/hello.new.o tests/hello.o tests/hello.scm
     tests/include.scm tests/jcc tests/jcc.asm tests/jcc.scm
     tests/jumps tests/jumps.asm tests/jumps.scm
     tests/libgoodbye.new.o tests/libgoodbye.o tests/libgoodbye.scm
     tests/libgoodbye.so tests/libhello.new.o tests/libhello.o
     tests/libhello.scm tests/libhello.so tests/load tests/load.asm
     tests/load.scm tests/mem-ref tests/mem-ref.asm
     tests/mem-ref.scm tests/misc1 tests/misc1.asm tests/misc1.scm
     tests/misc2 tests/misc2.asm tests/misc2.scm tests/mmx
     tests/mmx.asm tests/mmx.scm tests/movx tests/movx.asm
     tests/movx.scm tests/non tests/non.asm tests/non.scm
     tests/plier tests/plier.asm tests/plier.scm tests/prefix
     tests/prefix.asm tests/prefix.scm tests/prims/alt1
     tests/prims/alt1.scm tests/prims/alt2 tests/prims/alt2.scm
     tests/prims/alt3 tests/prims/alt3.scm tests/prims/alt4
     tests/prims/alt4.scm tests/prims/begin1 tests/prims/begin1.scm
     tests/prims/begin2 tests/prims/begin2.scm tests/prims/begin3
     tests/prims/begin3.scm tests/prims/begin4
     tests/prims/begin4.scm tests/prims/begin5
     tests/prims/begin5.scm tests/prims/esc1 tests/prims/esc1.scm
     tests/prims/esc2 tests/prims/esc2.scm tests/prims/esc3
     tests/prims/esc3.scm tests/prims/esc4 tests/prims/esc4.scm
     tests/prims/esc5 tests/prims/esc5.scm tests/prims/esc6
     tests/prims/esc6.scm tests/prims/esc7 tests/prims/esc7.scm
     tests/prims/exp-k1 tests/prims/exp-k1.scm tests/prims/exp-k2
     tests/prims/exp-k2.scm tests/prims/exp-k3
     tests/prims/exp-k3.scm tests/prims/exp-k4
     tests/prims/exp-k4.scm tests/prims/if1 tests/prims/if1.scm
     tests/prims/if2 tests/prims/if2.scm tests/prims/if3
     tests/prims/if3.scm tests/prims/if4 tests/prims/if4.scm
     tests/prims/inv1 tests/prims/inv1.scm tests/prims/inv2
     tests/prims/inv2.scm tests/prims/inv3 tests/prims/inv3.scm
     tests/prims/inv4 tests/prims/inv4.scm tests/prims/inv5
     tests/prims/inv5.scm tests/prims/inv6 tests/prims/inv6.scm
     tests/prims/iter1 tests/prims/iter1.scm tests/prims/iter2
     tests/prims/iter2.scm tests/prims/iter3 tests/prims/iter3.scm
     tests/prims/iter4 tests/prims/iter4.scm tests/prims/iter5
     tests/prims/iter5.scm tests/prims/iter6 tests/prims/iter6.scm
     tests/prims/label1 tests/prims/label1.scm tests/prims/label2
     tests/prims/label2.scm tests/prims/label3
     tests/prims/label3.scm tests/prims/label4
     tests/prims/label4.scm tests/prims/leap-mark1
     tests/prims/leap-mark1.scm tests/prims/leap-mark2
     tests/prims/leap-mark2.scm tests/prims/leap-mark3
     tests/prims/leap-mark3.scm tests/prims/locals1
     tests/prims/locals1.scm tests/prims/locals2
     tests/prims/locals2.scm tests/prims/locals3
     tests/prims/locals3.scm tests/prims/locals4
     tests/prims/locals4.scm tests/prims/locals5
     tests/prims/locals5.scm tests/prims/locals6
     tests/prims/locals6.scm tests/prims/seq1 tests/prims/seq1.scm
     tests/prims/seq2 tests/prims/seq2.scm tests/prims/seq3
     tests/prims/seq3.scm tests/prims/while1 tests/prims/while1.scm
     tests/prims/while2 tests/prims/while2.scm tests/prims/while3
     tests/prims/while3.scm tests/prims/with-lose1
     tests/prims/with-lose1.scm tests/prims/with-lose2
     tests/prims/with-lose2.scm tests/prims/with-lose3
     tests/prims/with-lose3.scm tests/prims/with-win-lose1
     tests/prims/with-win-lose1.scm tests/prims/with-win-lose2
     tests/prims/with-win-lose2.scm tests/prims/with-win-lose3
     tests/prims/with-win-lose3.scm tests/prims/with-win-lose4
     tests/prims/with-win-lose4.scm tests/prims/with-win-lose5
     tests/prims/with-win-lose5.scm tests/prims/with-win1
     tests/prims/with-win1.scm tests/prims/with-win2
     tests/prims/with-win2.scm tests/prims/with-win3
     tests/prims/with-win3.scm tests/prims/with-win4
     tests/prims/with-win4.scm tests/prims/with-win5
     tests/prims/with-win5.scm tests/quick-elf.scm tests/r-rm
     tests/r-rm.asm tests/r-rm.scm tests/regenerate.scm tests/ret
     tests/ret.asm tests/ret.scm tests/rm tests/rm.asm tests/rm.scm
     tests/rm2 tests/rm2.asm tests/rm2.scm tests/run-tests.scm
     tests/sect.new.o tests/sect.o tests/sect.scm tests/setcc
     tests/setcc.asm tests/setcc.scm tests/shift tests/shift.asm
     tests/shift.scm tests/sse1 tests/sse1.asm tests/sse1.scm
     tests/sse2 tests/sse2.asm tests/sse2.scm tests/sse3
     tests/sse3.asm tests/sse3.scm tests/sysexit
     tests/sysexit.new.o tests/sysexit.o tests/sysexit.scm
     tests/sysexit2.new.o tests/sysexit2.o tests/sysexit2.scm
     text-block.scm text.scm


